<sqtm-core-customisable-dialog
  [dialogId]="dialogId"
  [titleKey]="
    'sqtm-core.administration-workspace.users.connection-logs.dialog.export.title'
  "
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="sqtm-core-dialog-form p-4" [formGroup]="formGroup">
        <label class="label label__align_right">
          {{
            'sqtm-core.administration-workspace.users.connection-logs.dialog.export.file-name'
              | translate
          }}
        </label>
        <sqtm-core-text-field
          [initialFocus]="true"
          [formGroup]="formGroup"
          [fieldName]="'fileName'"
        >
        </sqtm-core-text-field>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'export'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="primary"
      (click)="export()"
    >
      {{ 'sqtm-core.generic.label.export' | translate }}
    </button>

    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
